# Note that this is NOT a relocatable package
%define ver      0.5.6
%define  RELEASE 7
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr/
%define confdir /etc

Summary: Graphical network viewer modeled after etherman.
Name: etherape
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Internet
Source: http://download.sourceforge.net/etherape/etherape-%{ver}.tar.gz
# Source1: ee-stdimg-new.xpm
Patch0: config.patch
Patch1: startup-font.patch
Patch2: resolv.patch
BuildRoot: /var/tmp/etherape-%{PACKAGE_VERSION}-root
URL: http://etherape.sourceforge.net/
Requires: gnome-libs >= 1.0.0
Requires: libglade >= 0.11

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic. 
Color coded protocols display. It supports ethernet, ppp and slip 
devices. It can filter traffic to be shown, and can read traffic 
from a file as well as live from the network. 

%prep
%setup -q

%ifarch ia64
%patch0 -p1
%endif
%patch1 -p1 -b .font

# insert new rh logo image
#cp %{SOURCE1} stdimg.xpm
%patch2 -p1

%build
autoconf


CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --sysconfdir=%{confdir} --enable-static-pcap --exec_prefix=/usr/bin
make

%install
rm -rf $RPM_BUILD_ROOT

#make prefix=$RPM_BUILD_ROOT/%{prefix} sysconfdir=$RPM_BUILD_ROOT/%{confdir} install
%makeinstall prefix=$RPM_BUILD_ROOT/%{prefix} sysconfdir=$RPM_BUILD_ROOT/%{confdir} exec_prefix=/usr/bin

strip $RPM_BUILD_ROOT%{prefix}/sbin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README FAQ README.help README.bugs README.thanks
%config %{confdir}/etherape/*
/usr/sbin/*
%{prefix}/share/*

%changelog
* Tue Feb 26 2001 Tim Powers <timp@redhat.com>
- put in Nalin's patch for res_init for autoconf.

* Thu Jan 25 2001 Tim Powers <timp@redhat.com>
- fixed bug 24906 so the font used on startup is correct

* Wed Jan 10 2001 Tim Powers <timp@redhat.com>
- patched to build on ia64

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed group so it's a valid one

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 12 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- changed makeinstall (wrong docdir)

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 08 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- compiled for Red Hat

* Mon Apr 3 2000 Juan Toledo <toledo@sourceforge.net>
- Initial spec file copied from electric eyes


